.p-sidebar-header-content {
  width: 100%;
  font-weight: 700;
  font-size: 1.25rem;
}

.whatsapp {
  color: #25d366;
}

.badge {
  display: inline-block;
  border-radius: 1rem;
  padding: 0.25rem 0.75rem;
  text-transform: uppercase;
  font-weight: 700;
  font-size: 0.75rem;
  letter-spacing: 0.3px;
  white-space: nowrap;
}

.badge-green {
  background: var(--green-100);
  color: var(--green-700);
}

.badge-red {
  background: var(--red-100);
  color: var(--red-700);
}

.badge-yellow {
  background: var(--yellow-100);
  color: var(--yellow-700);
}

.badge-blue {
  background: var(--blue-100);
  color: var(--blue-700);
}

.badge-purple {
  background: var(--purple-100);
  color: var(--purple-700);
}

.badge-gray {
  background: var(--gray-100);
  color: var(--gray-700);
}

.badge-orange {
  background: var(--orange-100);
  color: var(--orange-700);
}

.badge-white {
  background: white;
  color: var(--gray-700);
}

.danger-color {
  color: #ef4444;
}


.grey-border {
  border-color: #E0E0E0;
}

.scroll-message {
  width: 50px !important;
  min-width: initial !important;
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 10px 0 0 10px;
  z-index: 1;
}

.scroll-message > span {
  display: block;
  position: relative;
  width: 30px;
  height: 30px;
  top: 50%;
  transform: translateY(-50%);
  background-image: url(/images/horizontal-scroll.png);
  background-size: contain;
  animation-name: move-scroll-message;
  animation-duration: 1s;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.italic {
  font-style: italic;
}

.ls-1 {
  letter-spacing: 1px;
}

.h-82 {
  height: 82px;
}

.h-min-100 {
  min-height: 100px;
}

.h-fit-content {
  height: fit-content;
}

.h-42 {
  height: 42px;
}

.w-42 {
  width: 42px;
}

@keyframes move-scroll-message {
  from {
    left: 0;
  }
  to {
    left: 15px;
  }
}

@supports (-webkit-touch-callout: none) {
  @media (max-width: 991px) {
    input,
    select,
    textarea,
    .p-inputtext,
    .p-inputnumber-input,
    .p-autocomplete-input {
      font-size: 16px !important;
    }
  }
}
